<?php

namespace App\Enums;

enum GameType: string
{
    case Team = 'team';
    case Solo = 'solo';
    case Both = 'both';

    public function label(): string
    {
        return match ($this) {
            self::Team => __('enums.game_type.team'),
            self::Solo => __('enums.game_type.solo'),
            self::Both => __('enums.game_type.both'),
        };
    }
}
